Loading...
Searching...
No Matches
novas_delaunay_args Struct Reference
Earth orientation

Fundamental Delaunay arguments of the Sun and Moon, from Simon section 3.4(b.3). More...

`#include <novas.h>`

## Public Attributes

double | D
| [rad] mean elongation of the Moon from the Sun
double | F
| [rad] mean argument of the latitude of the Moon
double | l
| [rad] mean anomaly of the Moon
double | l1
| [rad] mean anomaly of the Sun
double | Omega
| [rad] mean longitude of the Moon's ascending node.

## Detailed Description

Fundamental Delaunay arguments of the Sun and Moon, from Simon section 3.4(b.3).

Since
  1.0

Author
  Attila Kovacs

See also
  fund_args(), NOVAS_DELAUNAY_ARGS_INIT

## Member Data Documentation

## D

double novas_delaunay_args::D

[rad] mean elongation of the Moon from the Sun

Referenced by novas_make_moon_orbit(), and nu2000k().

## F

double novas_delaunay_args::F

[rad] mean argument of the latitude of the Moon

Referenced by novas_make_moon_orbit(), and nu2000k().

## l

double novas_delaunay_args::l

[rad] mean anomaly of the Moon

Referenced by novas_make_moon_orbit(), and nu2000k().

## l1

double novas_delaunay_args::l1

[rad] mean anomaly of the Sun

Referenced by novas_make_moon_orbit(), and nu2000k().

## Omega

double novas_delaunay_args::Omega

[rad] mean longitude of the Moon's ascending node.

Referenced by nu2000k().